
QGIS Application - Bug report #1008

zoom to layer missbehaves when the layer is a single vector point

2008-03-25 10:36 AM - Maciej Sieczka -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Map Canvas

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11068

Description

1. Open the attached shapefile in QGIS.

2. Zoom to layer.

3. Map canvas becomes blank. Current map scale dialog does not get updated. Zoom tools start behaving strange - mouse scroll zooming

does not work, click-zoom in/out and box-zoom out either. Only box-zoom in is OK. Once you box-zoom in or zoom to another layer all is

fine again.

Debug output after zoom to single point layer:

Debug: /home/shoofi/src/straight/qgis09/src/gui/qgsmapcanvas.cpp: 452: (setExtent) Setting empty extent!

Debug: /home/shoofi/src/straight/qgis09/src/core/qgsmaprender.cpp: 202: (render) ========== Rendering ==========

Debug: empty extent... not rendering

[[QgsGrassPlugin]]::postRender()

Might be related to #651 #154 and #80.

Associated revisions

Revision 680499dd - 2008-03-25 07:55 PM - Jürgen Fischer

fix #1008

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@8268 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 3fece872 - 2008-03-25 07:55 PM - Jürgen Fischer

fix #1008

git-svn-id: http://svn.osgeo.org/qgis/trunk@8268 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2008-03-25 11:55 AM - Jürgen Fischer

fixed in commit:3fece872 (SVN r8269)
#2 - 2008-03-25 11:55 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

#3 - 2009-08-22 12:54 AM - Anonymous

Milestone Version 0.9.2 deleted

Files

pts.tar.bz2 608 Bytes 2008-03-25 Maciej Sieczka -

2025-04-27 2/2


